Subject: devel-digest V2 #156
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Saturday, May 1 1999           Volume 02 : Number 156

In this issue:

    Re: video in/out problems
    Re: video in/out problems
    Re: video in/out problems
    Re: video in/out problems
    Re: video in/out problems
    Re: video in/out problems
    Re: video in/out problems 

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Fri, 30 Apr 1999 08:27:47 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: video in/out problems

Tim Rowledge wrote:

> Can anyone out there actually run the video capture and display diagnostic? Can
> you point me to documentation that might help understand this?

Have you tried the programs "new_test" and "xvideum" in /usr/diag/vidcap? 
The former is for text-mode capture, the latter for use under X.  To run
either one, the "normal" vidcap module should be loaded (the one from
/lib/modules/misc) - it should actually be loaded automatically upon
startup, since it must be there before starting X if capture under X is to
work.  For console capturing it doesn't matter of course.

Also check the /dev entries - the "old" driver used /dev/vidcap with major
103, minor 0 whereas newer drivers use /dev/video0 with major 81, minor 0. 
This would depend upon how old your disk image is.  Creating both shouldn't
hurt.

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 11:10:45 -0400 (EDT)
From: Jamie Guinan <[email-masked]>
Subject: Re: video in/out problems

On Fri, 30 Apr 1999, Ralph Siemsen wrote:

> Have you tried the programs "new_test" and "xvideum" in /usr/diag/vidcap? 
> The former is for text-mode capture, the latter for use under X.  To run
> either one, the "normal" vidcap module should be loaded (the one from
> /lib/modules/misc) - it should actually be loaded automatically upon
> startup, since it must be there before starting X if capture under X is to
> work.  For console capturing it doesn't matter of course.

I just tried xvideum for the first time in quite a while.  It shows
a few diagnostic messages, then core dumps on a Floating exception,

> S_PARM returned error 22
> S_STD returned error 22
> S_FMT worked; we're at w/h 320/240 totalbytes 153600
> chromakey set; video capture buffer at 0xd01d6800
> Floating exception (core dumped)

(I have the vidcap.o and fpem-4.07.o modules loaded)

Does xvideum get along with the 2.2.x kernels?  I'm still running
a 2.0.35 I compiled myself.   Rather than track down the floating
point exception here, I thought I might start fresh with a 2.2.x
kernel with NWFPE built right in.  And whatever X server works
with that, of course.

> Also check the /dev entries - the "old" driver used /dev/vidcap with major
> 103, minor 0 whereas newer drivers use /dev/video0 with major 81, minor 0. 
> This would depend upon how old your disk image is.  Creating both shouldn't
> hurt.

Newer as in 2.2.x?  (My disk image is DM10, btw).

- -Jamie

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 16:49:08 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: video in/out problems

Jamie Guinan wrote:

> I just tried xvideum for the first time in quite a while.  It shows
> a few diagnostic messages, then core dumps on a Floating exception,
> (I have the vidcap.o and fpem-4.07.o modules loaded)

Ugh... I haven't tested it with 2.2 myself... it works with the 2.0.35 (or
at least it should).

> Newer as in 2.2.x?  (My disk image is DM10, btw).

Not that new... but build #10 means you've got older libs, older kernel,
older vidcap... these are probably related :) 

I'll put up the vidcap.o driver from build #13 in
www.netwinder.org/~ralphs/tmp/ - try loading this one (it matches the 990121
kernel, which you should probably upgrade to if you haven't already done
so).

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 11:57:51 -0700 (BST)
From: Tim Rowledge <[email-masked]>
Subject: Re: video in/out problems

On Fri 30 Apr, Ralph Siemsen wrote:

> Have you tried the programs "new_test" and "xvideum" in /usr/diag/vidcap?
yes, quite a few times.
new_test fails with:-
	vidcap: after open count 1
	errno 5
	IGS Accelerated SVGA Driver 1.3.0 (Cyber 2000, 2048K)
	vga_hasmode failed
	vidcap: after close count 0
xvideum works but does report error 22 for S_PARM and S_STD.

I had also downloaded the xvideum/new_test stuff from patb's directory before I
discoverd the /urs/diags stuff, and recompilation etc has maed no difference to
the above.
The /dev entries for video and video0 are as you described.
My NWs are dm12, kernel 2.0.35.  I couldn't initiallyload tv_ntsc because it
complained that it was compiled for kernel 2.0.12, so I recompiled the version
/usr/diags/testscripts/video_aout/tv, which 'works' to the extent that insmod
tv_ntsc whilst in a text mode will reflect the display to the video out.

I'm still hoping for advice on how to configure the svgalib stuff to avoid the
vga_hasmode failure....

tim

- -- 
Strange OpCodes: WK: Write to Keyboard
Tim Rowledge:  [email-masked] (w)  +1 (650) 842-6110 (w)
 [email-masked] (h)  <http://sumeru.stanford.edu/tim>

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 21:43:49 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: video in/out problems

Hi Tim,

Ryan has confirmed your findings with the vidcap module generating a
floating point exception - though I can't seem to duplicate it on my
machines.  I guess this means we'll have to do some more digging to sort out
the root cause.

Did the vidcap-build13 module I put up work any better?  After doing some
file comparisions, it's the only thing I can see that's different between
build #12 and #13 (libvga is identical and so are the config files) with
regards to video capture.

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 14:59:41 -0700 (BST)
From: Tim Rowledge <[email-masked]>
Subject: Re: video in/out problems

On Fri 30 Apr, Ralph Siemsen wrote:
> Hi Tim,
> 
> Ryan has confirmed your findings with the vidcap module generating a
> floating point exception - though I can't seem to duplicate it on my
> machines.  I guess this means we'll have to do some more digging to sort out
> the root cause.
Well, _I_ don't see any float problem, but I susppose it might be hidden - it
was somebody else using a 2.2 kernel, I thought. I just can't get new_test to
run because of the vga_hasmode() failure. I can't tell whether the new module
is any better until I can get past that problem.

tim
- -- 
You never finish a program, you just stop working on it.
Tim Rowledge:  [email-masked] (w)  +1 (650) 842-6110 (w)
 [email-masked] (h)  <http://sumeru.stanford.edu/tim>

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 30 Apr 1999 23:39:51 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: video in/out problems 

>Ryan has confirmed your findings with the vidcap module generating a
>floating point exception - though I can't seem to duplicate it on my
>machines.  I guess this means we'll have to do some more digging to sort out
>the root cause.

FWIW, my guess is that it's more likely to be an integer divide by zero than a real 
floating point trap.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #156
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.